UbuntuUpdates.org

3rd Party Repository: Brightbox Ruby NG Experimental

This repository is available for: Precise  Trusty  Vivid  Wily  Xenial  Yakkety 


Title: Ruby with experimental performance enhancements
Description:

http://blog.brightbox.co.uk/posts/next-generation-ruby-packages-for-ubuntu

We’ve been providing optimized Ruby 1.8 and Rubygems 1.3.7 packages for Ubuntu for years now but some technical issues prevented us from providing 1.9.3 packages alongside them. So we started out afresh from the very latest Debian 1.8.7 and 1.9.3 packages, and added:

Ruby Enterprise Edition patches for 1.8.7-358 (2012.02)
Built Ruby 1.9.3 with Google’s high performance memory allocator, tcmalloc
Added Sokolov Yura‘s performance patches for 1.9.3
Added Narihiro Nakamura’s Bitmap Marking garbage collector (backported by Sakolov Yura)
Patched Ruby 1.9.3 to export the right symbols to work with ruby-debug

So this gives you Ruby 1.8.7, Ruby 1.9.3 and Rubygems 1.8.21 on Ubuntu 10.04 Lucid through to the upcoming Ubuntu 12.04 Precise. You can install both Ruby 1.8.7 and 1.9.3 alongside each other and switch between them effortlessly. We’ve also updated our Passenger packages to work with both versions of Ruby (and our NGINX Passenger packages too).

Daily Build: no

To install this PPA:

sudo add-apt-repository ppa:brightbox/ruby-ng-experimental 
sudo apt-get update
sudo apt-get install <package name>
where <package name> is one of the packages below.


Links


Most recent updates in Brightbox Ruby NG Experimental PPA (Yakkety)

Date Package Version
2016-12-09 23:57:06 UTC ruby2.3 2.3.3-1bbox1~yakkety2
2016-12-09 23:57:06 UTC ruby2.2 2.2.6-1bbox1~yakkety1
2016-12-09 23:57:06 UTC ruby2.0 2.0.0.648-2bbox1~yakkety2
2016-12-09 23:57:06 UTC ruby-switch 0.1.0-bbox1~yakkety1
2016-12-09 23:57:06 UTC ruby1.9.1 1:1.9.3.551-3bbox1~yakkety1

Ruby2.2 Versions in Brightbox Ruby NG Experimental PPA

UbuntuUpdates arbitrarily picked ruby2.2 as the main package of this PPA.

Package Release Latest Version Latest Update
ruby2.2 yakkety 2.2.6-1bbox1~yakkety1 2016-12-09 23:57:07 UTC
ruby2.2 xenial 2.2.6-1bbox1~xenial1 2016-12-09 18:09:07 UTC
ruby2.2 wily 2.2.4-1bbox1~wily1 2015-12-27 23:57:27 UTC
ruby2.2 vivid 2.2.4-1bbox1~vivid1 2015-12-27 23:08:16 UTC
ruby2.2 trusty 2.2.6-1bbox1~trusty1 2016-12-09 18:09:06 UTC
ruby2.2 precise 2.2.6-1bbox1~precise1 2016-12-09 18:09:06 UTC

Packages in PPA for Yakkety

See packages for selected release: Precise  Trusty  Vivid  Wily  Xenial  Yakkety 

Deleted packages are displayed in grey.

Head packages

ruby1.8 ruby1.9.1 ruby-switch ruby2.0 ruby2.2
ruby2.3

Dependent packages

libruby1.9.1 libruby1.9.1-dbg ruby1.9.1-dev libruby1.8 libruby1.8-dbg
ri1.8 ruby1.8-dev ruby1.8-examples ruby1.9.1-examples ri1.9.1
ruby1.9.1-full ruby1.8-full ruby1.9.3 libruby2.0 ruby2.0-dev
ruby2.0-doc ruby2.0-tcltk libruby2.2 ruby2.2-dev ruby2.2-tcltk
ruby2.2-doc ruby2.3-doc libruby2.3 ruby2.3-dev ruby2.3-tcltk


Comments

blog comments powered by Disqus


Older Comments

There are currently no comments.



About   -   Send Feedback to @ubuntu_updates